Regenerate an AI-generated section
POST
/api/canvas/{deal_id}/sections/{section_key}/regenerate
const url = 'https://example.com/api/canvas/example/sections/example/regenerate';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"instructions":""}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/canvas/example/sections/example/regenerate \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "instructions": "" }'Queues a full re-generation of the specified section from the latest deal data. Progress is broadcast via WebSocket.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
section_key
required
Section Key
string
Request Body
Section titled “Request Body ” Media type application/json
RegenerationRequest
Request body for section regeneration.
object
instructions
Instructions
Optional custom instructions for regeneration. When empty, a standard regeneration prompt is used.
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
RegenerationResponse
Response for section regeneration.
object
status
required
Status
string
section_key
required
Section Key
string
state
required
State
string
estimated_seconds
Estimated Seconds
integer
Example
{ "estimated_seconds": 60}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}